# WaitlistDestinations

> List one waitlist's sync destinations and their state. Read access, waitlists toolset, MCP tool get_waitlist_destinations.

**Access:** [Read](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `waitlistId` | `UUID!` | yes |  | Checks for equality with the object’s `waitlistId` field. |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"WaitlistDestinations","variables":{"waitlistId":"00000000-0000-0000-0000-000000000000"},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"39417aca817604de6194651dae26d664395dc8e8906ee97587bdee42c70dcb2c"}}}'
```

## Document

```graphql
query WaitlistDestinations($waitlistId: UUID!) { __typename allWaitlistDestinations( condition: {waitlistId: $waitlistId} orderBy: CREATED_AT_ASC ) { __typename nodes { __typename connectionByConnectionId { __typename id integrationByIntegrationId { __typename displayName id logoBg logoUrl slug } rowId } createdAt id lastError listId listName marketingPermissionId providerOptIn rowId status trigger members: waitlistDestinationMembersByDestinationId { __typename byState: groupedAggregates(groupBy: [STATE, REASON_CODE]) { __typename distinctCount { __typename rowId } keys } totalCount } } } }
```

Source: https://developer.missin.co.uk/reference/waitlists/waitlist-destinations
